libetonyek::IWORKPresentationRedirector Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKPresentationRedirector Class Reference

`#include <IWORKPresentationRedirector.h>`

Inheritance diagram for libetonyek::IWORKPresentationRedirector:

## Public Member Functions
| IWORKPresentationRedirector (librevenge::RVNGPresentationInterface *iface)
virtual void | setDocumentMetaData (const librevenge::RVNGPropertyList &propList)
virtual void | startDocument (const librevenge::RVNGPropertyList &propList)
virtual void | endDocument ()
virtual void | definePageStyle (const librevenge::RVNGPropertyList &propList)
virtual void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList)
virtual void | openPageSpan (const librevenge::RVNGPropertyList &propList)
virtual void | closePageSpan ()
virtual void | startSlide (const librevenge::RVNGPropertyList &propList)
virtual void | endSlide ()
virtual void | startMasterSlide (const librevenge::RVNGPropertyList &propList)
virtual void | endMasterSlide ()
virtual void | setStyle (const librevenge::RVNGPropertyList &propList)
virtual void | startLayer (const librevenge::RVNGPropertyList &propList)
virtual void | endLayer ()
virtual void | openHeader (const librevenge::RVNGPropertyList &propList)
virtual void | closeHeader ()
virtual void | openFooter (const librevenge::RVNGPropertyList &propList)
virtual void | closeFooter ()
virtual void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList)
virtual void | openParagraph (const librevenge::RVNGPropertyList &propList)
virtual void | closeParagraph ()
virtual void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList)
virtual void | openSpan (const librevenge::RVNGPropertyList &propList)
virtual void | closeSpan ()
virtual void | openLink (const librevenge::RVNGPropertyList &propList)
virtual void | closeLink ()
virtual void | defineSectionStyle (const librevenge::RVNGPropertyList &propList)
virtual void | openSection (const librevenge::RVNGPropertyList &propList)
virtual void | closeSection ()
virtual void | insertTab ()
virtual void | insertSpace ()
virtual void | insertText (const librevenge::RVNGString &text)
virtual void | insertLineBreak ()
virtual void | insertField (const librevenge::RVNGPropertyList &propList)
virtual void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList)
virtual void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
virtual void | closeOrderedListLevel ()
virtual void | closeUnorderedListLevel ()
virtual void | openListElement (const librevenge::RVNGPropertyList &propList)
virtual void | closeListElement ()
virtual void | openFootnote (const librevenge::RVNGPropertyList &propList)
virtual void | closeFootnote ()
virtual void | openEndnote (const librevenge::RVNGPropertyList &propList)
virtual void | closeEndnote ()
virtual void | openComment (const librevenge::RVNGPropertyList &propList)
virtual void | closeComment ()
virtual void | openTextBox (const librevenge::RVNGPropertyList &propList)
virtual void | closeTextBox ()
virtual void | defineSheetNumberingStyle (const librevenge::RVNGPropertyList &propList)
virtual void | openTable (const librevenge::RVNGPropertyList &propList)
virtual void | openTableRow (const librevenge::RVNGPropertyList &propList)
virtual void | closeTableRow ()
virtual void | openTableCell (const librevenge::RVNGPropertyList &propList)
virtual void | closeTableCell ()
virtual void | insertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
virtual void | closeTable ()
virtual void | openFrame (const librevenge::RVNGPropertyList &propList)
virtual void | closeFrame ()
virtual void | insertBinaryObject (const librevenge::RVNGPropertyList &propList)
virtual void | insertEquation (const librevenge::RVNGPropertyList &propList)
virtual void | openGroup (const librevenge::RVNGPropertyList &propList)
virtual void | closeGroup ()
virtual void | defineGraphicStyle (const librevenge::RVNGPropertyList &propList)
virtual void | drawRectangle (const librevenge::RVNGPropertyList &propList)
virtual void | drawEllipse (const librevenge::RVNGPropertyList &propList)
virtual void | drawPolygon (const librevenge::RVNGPropertyList &propList)
virtual void | drawPolyline (const librevenge::RVNGPropertyList &propList)
virtual void | drawPath (const librevenge::RVNGPropertyList &propList)
virtual void | drawGraphicObject (const librevenge::RVNGPropertyList &propList)
virtual void | drawConnector (const librevenge::RVNGPropertyList &propList)
virtual void | startTextObject (const librevenge::RVNGPropertyList &propList)
virtual void | endTextObject ()
virtual void | startNotes (const librevenge::RVNGPropertyList &propList)
virtual void | endNotes ()
virtual void | defineChartStyle (const librevenge::RVNGPropertyList &propList)
virtual void | openChart (const librevenge::RVNGPropertyList &propList)
virtual void | closeChart ()
virtual void | openChartTextObject (const librevenge::RVNGPropertyList &propList)
virtual void | closeChartTextObject ()
virtual void | openChartPlotArea (const librevenge::RVNGPropertyList &propList)
virtual void | closeChartPlotArea ()
virtual void | insertChartAxis (const librevenge::RVNGPropertyList &propList)
virtual void | openChartSeries (const librevenge::RVNGPropertyList &propList)
virtual void | closeChartSeries ()
virtual void | openAnimationSequence (const librevenge::RVNGPropertyList &propList)
virtual void | closeAnimationSequence ()
virtual void | openAnimationGroup (const librevenge::RVNGPropertyList &propList)
virtual void | closeAnimationGroup ()
virtual void | openAnimationIteration (const librevenge::RVNGPropertyList &propList)
virtual void | closeAnimationIteration ()
virtual void | insertMotionAnimation (const librevenge::RVNGPropertyList &propList)
virtual void | insertColorAnimation (const librevenge::RVNGPropertyList &propList)
virtual void | insertAnimation (const librevenge::RVNGPropertyList &propList)
virtual void | insertEffect (const librevenge::RVNGPropertyList &propList)
Public Member Functions inherited from libetonyek::IWORKDocumentInterface
virtual | ~IWORKDocumentInterface ()=0

## Private Attributes
librevenge::RVNGPresentationInterface *const | m_iface

## Constructor & Destructor Documentation

libetonyek::IWORKPresentationRedirector::IWORKPresentationRedirector | ( | librevenge::RVNGPresentationInterface * | iface | ) |
| explicit

## Member Function Documentation

void libetonyek::IWORKPresentationRedirector::closeAnimationGroup | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeAnimationIteration | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeAnimationSequence | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeChart | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeChartPlotArea | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeChartSeries | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeChartTextObject | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeComment | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeEndnote | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeFooter | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeFootnote | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeFrame | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeGroup | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeHeader | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeLink | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeListElement | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeOrderedListLevel | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closePageSpan | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeParagraph | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeSection | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeSpan | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeTable | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeTableCell | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeTableRow | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeTextBox | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::closeUnorderedListLevel | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::defineChartStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::definePageStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::defineSectionStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::defineSheetNumberingStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::drawConnector | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::drawEllipse | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::drawGraphicObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::drawPath | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::drawPolygon | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::drawPolyline | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::drawRectangle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::endDocument | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::endLayer | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::endMasterSlide | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::endNotes | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::endSlide | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::endTextObject | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertChartAxis | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertColorAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertEffect | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertEquation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertLineBreak | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertMotionAnimation | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertSpace | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertTab | ( |  | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::insertText | ( | const librevenge::RVNGString & | text | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openAnimationGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openAnimationIteration | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openAnimationSequence | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openChart | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openChartPlotArea | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openChartSeries | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openChartTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openComment | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openFooter | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openGroup | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openHeader | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openSection | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openTable | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openTextBox | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::setStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::startDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::startLayer | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::startMasterSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::startNotes | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::startSlide | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

void libetonyek::IWORKPresentationRedirector::startTextObject | ( | const librevenge::RVNGPropertyList & | propList | ) |
| virtual

Implements libetonyek::IWORKDocumentInterface.

## Member Data Documentation

librevenge::RVNGPresentationInterface* const libetonyek::IWORKPresentationRedirector::m_iface
| private

Referenced by closeAnimationGroup(), closeAnimationIteration(), closeAnimationSequence(), closeChart(), closeChartPlotArea(), closeChartSeries(), closeChartTextObject(), closeComment(), closeGroup(), closeLink(), closeListElement(), closeOrderedListLevel(), closeParagraph(), closeSpan(), closeTable(), closeTableCell(), closeTableRow(), closeUnorderedListLevel(), defineCharacterStyle(), defineChartStyle(), defineEmbeddedFont(), defineParagraphStyle(), drawConnector(), drawEllipse(), drawGraphicObject(), drawPath(), drawPolygon(), drawPolyline(), drawRectangle(), endDocument(), endLayer(), endMasterSlide(), endNotes(), endSlide(), endTextObject(), insertAnimation(), insertChartAxis(), insertColorAnimation(), insertCoveredTableCell(), insertEffect(), insertField(), insertLineBreak(), insertMotionAnimation(), insertSpace(), insertTab(), insertText(), openAnimationGroup(), openAnimationIteration(), openAnimationSequence(), openChart(), openChartPlotArea(), openChartSeries(), openChartTextObject(), openComment(), openGroup(), openLink(), openListElement(), openOrderedListLevel(), openParagraph(), openSpan(), openTable(), openTableCell(), openTableRow(), openUnorderedListLevel(), setDocumentMetaData(), setStyle(), startDocument(), startLayer(), startMasterSlide(), startNotes(), startSlide(), and startTextObject().

The documentation for this class was generated from the following files:

- IWORKPresentationRedirector.h
- IWORKPresentationRedirector.cpp